package com.fjhx.form.mapper.employee;

import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.Map;

@Mapper
public interface EmployeeAnalysisMapper {

    /**
     * 获取邮件信息
     */
    BigDecimal getMail(@Param("ew") IWrapper<Object> wrapper);

    /**
     * 获取报价单统计
     */
    Map<String, Object> getQuotationStatistics(@Param("ew") IWrapper<Object> wrapper);

    /**
     * 获取销售合同统计
     */
    Map<String, Object> getContractStatistics(@Param("ew") IWrapper<Object> wrapper);

    /**
     * 获取到账认领统计
     */
    Map<String, Object> getClaimStatistics(@Param("ew") IWrapper<Object> wrapper);

    /**
     * 获取采购金额
     */
    BigDecimal getPurchaseAmount(@Param("ew") IWrapper<Object> wrapper);

}
